Create service

Creates a new Render service in the specified workspace with the specified configuration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required
Allowed:
string
required

The service's name. Must be unique within the workspace.

string
required

The ID of the workspace the service belongs to. Obtain your workspace's ID from its Settings page in the Render Dashboard.

string

The service's repository URL. Do not specify a branch in this string (use the branch parameter instead).

string
enum
Defaults to yes
deprecated

Deprecated: use autoDeployTrigger instead. You can't set both autoDeploy and autoDeployTrigger in the same request.

  • yes is equivalent to autoDeployTrigger: commit.
  • no is equivalent to autoDeployTrigger: off.
Allowed:
string
enum

Controls autodeploy behavior.

  • commit: Deploy each time a commit is pushed to the service's linked branch.
  • checksPass: Deploy each time a commit is pushed to the linked branch, but only after the commit's CI checks pass.
  • off: Disable autodeploys.
Allowed:
string

The repo branch to pull, build, and deploy. If omitted, uses the repository's default branch.

image
object
buildFilter
object
string
envVars
array of objects
envVars
secretFiles
array of objects
secretFiles
string

The ID of the environment the service belongs to, if any. Obtain an environment's ID from its Settings page in the Render Dashboard.

serviceDetails
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json